%global evo_base_version 3.4

Name: evolution-ews
Version: 3.4.1
Release: 1%{?dist}
Group: Applications/Productivity
Summary: Evolution extension for Exchange Web Services
License: LGPLv2
URL: http://projects.gnome.org/evolution
Source: http://download.gnome.org/sources/%{name}/3.4/%{name}-%{version}.tar.xz

BuildRequires: evolution-devel >= %{version}
BuildRequires: evolution-data-server-devel >= %{version}
BuildRequires: intltool

# Patch1: evolution-ews-3.3.1-enable-deprecated-glib-symbols.patch

%description
This package allows Evolution to interact with Microsoft Exchange servers,
versions 2007 and later, through its Exchange Web Services (EWS) interface.

%prep
%setup -q
# %patch1 -p1 -b .enable-deprecated-glib-symbols

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove files we don't want packaged (no devel subpackage).
rm -r $RPM_BUILD_ROOT%{_includedir}/evolution-data-server-%{evo_base_version}/
rm $RPM_BUILD_ROOT%{_libdir}/evolution-data-server-%{evo_base_version}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/evolution-data-server-%{evo_base_version}/*.so
rm $RPM_BUILD_ROOT%{_libdir}/evolution-data-server/*/*.la
rm $RPM_BUILD_ROOT%{_libdir}/evolution/%{evo_base_version}/plugins/*.la
rm $RPM_BUILD_ROOT%{_libdir}/liblzx.la
rm $RPM_BUILD_ROOT%{_libdir}/liblzx.so
rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/*.pc

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_libdir}/evolution-data-server-%{evo_base_version}/libeews-1.2.so.*
%{_libdir}/evolution-data-server-%{evo_base_version}/libewsutils.so.*
%{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%{_libdir}/evolution/%{evo_base_version}/plugins/liborg-gnome-exchange-ews.so
%{_libdir}/evolution/%{evo_base_version}/plugins/org-gnome-exchange-ews.eplug

# XXX For now this is a private library even though it lives
#     directly in LIBDIR.  Nothing else should be using it.
%{_libdir}/liblzx.so.*

%changelog
* Mon Apr 16 2012 Milan Crha <mcrha@redhat.com> - 3.4.1-1
- Update to 3.4.1

* Mon Mar 26 2012 Milan Crha <mcrha@redhat.com> - 3.4.0-1
- Update to 3.4.0

* Mon Mar 19 2012 Milan Crha <mcrha@redhat.com> - 3.3.92-1
- Update to 3.3.92

* Tue Mar 06 2012 Milan Crha <mcrha@redhat.com> - 3.3.91-1
- Update to 3.3.91

* Mon Feb 20 2012 Milan Crha <mcrha@redhat.com> - 3.3.90-1
- Update to 3.3.90

* Mon Feb 06 2012 Milan Crha <mcrha@redhat.com> - 3.3.5-1
- Update to 3.3.5

* Mon Jan 16 2012 Milan Crha <mcrha@redhat.com> - 3.3.4-1
- Update to 3.3.4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 19 2011 Milan Crha <mcrha@redhat.com> - 3.3.3-1
- Update to 3.3.3
- Removed the last patch (fixed upstream)

* Mon Nov 21 2011 Milan Crha <mcrha@redhat.com> - 3.3.2-1
- Update to 3.3.2
- Removed obsolete patches (fixed upstream)

* Wed Nov 07 2011 Matthew Barnes <mbarnes@redhat.com> - 3.3.1-1
- Initial packaging for Fedora 17.
